PUT
/
api
/
v1
/
platform
/
tenants
/
{tenant_id}
/
credentials
/
{client_id}
Update or rotate Open Platform credential
curl --request PUT \
  --url https://api.example.com/api/v1/platform/tenants/{tenant_id}/credentials/{client_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Id: <x-api-id>' \
  --header 'X-Api-Nonce: <x-api-nonce>' \
  --header 'X-Api-Signature: <api-key>' \
  --header 'X-Api-Timestamp: <x-api-timestamp>' \
  --data '
{
  "client_id": "client_001",
  "name": "Tenant 001 command client",
  "status": "ACTIVE",
  "allowed_clock_skew_seconds": 300,
  "replay_window_seconds": 300,
  "rotate_secret": true,
  "expires_at": null
}
'
{
  "client_id": "client_001",
  "tenant_id": "tenant_001",
  "name": "Tenant 001 command client",
  "status": "ACTIVE",
  "allowed_clock_skew_seconds": 300,
  "replay_window_seconds": 300,
  "secret": "returned_once_on_create_or_rotate",
  "expires_at": null,
  "request_id": "req-001"
}

Authorizations

X-Api-Signature
string
header
required

UTMOS HMAC request signature with X-Api-Id, X-Api-Timestamp and X-Api-Nonce.

Headers

X-Api-Id
string
required

Platform or tenant administrator credential

X-Api-Timestamp
string
required

Unix seconds

X-Api-Nonce
string
required

Replay-protection nonce

X-Api-Signature
string
required

HMAC signature

X-Request-Id
string

Caller correlation ID; generated when omitted

Path Parameters

tenant_id
string
required

Tenant identifier

client_id
string
required

Open Platform client identifier

Body

application/json
client_id
string
required
name
string
required
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED
allowed_clock_skew_seconds
integer
default:300
replay_window_seconds
integer
default:300
rotate_secret
boolean
expires_at
string<date-time> | null

Response

OK

client_id
string
tenant_id
string
name
string
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED
allowed_clock_skew_seconds
integer
replay_window_seconds
integer
secret
string
expires_at
string<date-time> | null
request_id
string